*{
    margin:0;
    padding:0;
    box-sizing:border-box;
    font-family:'Arial',sans-serif;
}


body{
    background:#050505;
    color:white;
    overflow-x:hidden;
}


body::before{
    content:"";
    position:fixed;
    width:500px;
    height:500px;
    background:#39ff14;
    filter:blur(180px);
    opacity:.15;
    top:-200px;
    left:-200px;
    z-index:-1;
}



header{
    min-height:100vh;
    display:flex;
    flex-direction:column;
    align-items:center;
    justify-content:center;
    text-align:center;
    padding:30px;
}



.logo{

    width:260px;

    animation:
    float 3s infinite ease-in-out;

    filter:
    drop-shadow(0 0 30px #39ff14);

}



@keyframes float{

50%{
transform:translateY(-15px);
}

}





h1{

font-size:80px;

line-height:.85;

font-weight:1000;

color:#39ff14;

text-shadow:
0 0 10px #39ff14,
0 0 30px #39ff14;

}



p{

font-size:22px;

color:#ccc;

margin:25px;

}



.btn{

display:inline-block;

padding:16px 40px;

margin:10px;

border-radius:50px;

background:#39ff14;

color:black;

font-weight:900;

text-decoration:none;

transition:.3s;

}



.btn:hover{

transform:scale(1.1);

box-shadow:
0 0 30px #39ff14;

}





section{

padding:80px 8%;

text-align:center;

}



h2{

font-size:40px;

color:#39ff14;

margin-bottom:30px;

}





.ca{

background:#0b0b0b;

}



.address{

max-width:700px;

margin:auto;

background:#111;

border:1px solid #333;

border-radius:20px;

padding:20px;

display:flex;

justify-content:space-between;

align-items:center;

gap:10px;

}



#contract{

overflow:hidden;

text-overflow:ellipsis;

color:#fff;

}





button{

background:#39ff14;

border:none;

padding:12px 20px;

border-radius:20px;

font-weight:bold;

cursor:pointer;

}



.smallbtn{

display:inline-block;

margin:20px 5px;

padding:12px 25px;

border-radius:30px;

border:1px solid #39ff14;

color:#39ff14;

text-decoration:none;

}



.smallbtn:hover{

background:#39ff14;

color:black;

}





.box{

background:#101010;

border:1px solid #222;

border-radius:25px;

padding:30px;

margin:20px auto;

max-width:800px;

font-size:20px;

line-height:1.6;

}



.grid{

display:grid;

grid-template-columns:
repeat(auto-fit,minmax(250px,1fr));

gap:20px;

}



h3{

color:#39ff14;

font-size:25px;

margin-bottom:10px;

}




footer{

padding:30px;

text-align:center;

background:#111;

color:#777;

}





@media(max-width:600px){


h1{

font-size:55px;

}


.logo{

width:190px;

}


.address{

flex-direction:column;

}


}